//
//  XiaocaiQueryAppXinfoHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/18.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "XiaocaiQueryAppXinfoHttpPostCmd.h"
#import "XiaocaiQueryAppXinfoHttpResult.h"

static NSString *kActionUrl1 = @"/xiaocai/queryapp";

@implementation XiaocaiQueryAppXinfoHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[XiaocaiQueryAppXinfoHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[XiaocaiQueryAppXinfoHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpXiaocaiQueryAppXinfoHttpPostCmd_filters = @"filters";
NSString *const kHttpXiaocaiQueryAppXinfoHttpPostCmd_key = @"key";
NSString *const kHttpXiaocaiQueryAppXinfoHttpPostCmd_opt = @"opt";
NSString *const kHttpXiaocaiQueryAppXinfoHttpPostCmd_type = @"type";
NSString *const kHttpXiaocaiQueryAppXinfoHttpPostCmd_value = @"value";
